<?php
/**
 * biography Custom Metabox
 *
 * @package biography
 */

add_action('add_meta_boxes', 'biography_add_icon_metabox', 10, 2);
function biography_add_icon_metabox( $post_type, $post ) {
    $biography_customizer_saved_values = biography_get_all_options(1);
    $biography_home_service_selection_options = esc_attr( $biography_customizer_saved_values['biography-home-service-selection'] );
    $biography_home_history_selection_options = $biography_customizer_saved_values['biography-home-history-selection'];
    $biography_home_count_selection_options = $biography_customizer_saved_values['biography-home-count-selection'];

    $biography_home_service_category = absint( $biography_customizer_saved_values['biography-home-service-category'] );
    $biography_home_history_category = absint( $biography_customizer_saved_values['biography-home-history-category'] );
    $biography_home_count_category = absint( $biography_customizer_saved_values['biography-home-count-category'] );

    if ( 'from-category' ==  $biography_home_service_selection_options &&  in_category( $biography_home_service_category, $post->ID )){
        add_meta_box(
            'biography_icon_meta_box', // $id
            esc_html__( 'Home Icon options', 'biography' ), // $title
            'biography_icon_meta_box_callback', // $callback
            $post_type, // $page
            'side', // $context
            'core'// $priority
        );
    }
        $post_types = array ( 'post', 'page', 'event' );
        foreach( $post_types as $post_type )
            {
        add_meta_box(
            'biography_icon_meta_box', // $id
            esc_html__( 'Home Icon options', 'biography' ), // $title
            'biography_icon_meta_box_callback', // $callback
            $post_type,// $page
            'side', // $context
            'core'// $priority
        );
    }
    if ( 'from-category' ==  $biography_home_count_selection_options &&  in_category( $biography_home_count_category, $post->ID )){
        add_meta_box(
            'biography_icon_meta_box', // $id
            esc_html__( 'Home Icon options', 'biography' ), // $title
            'biography_icon_meta_box_callback', // $callback
            $post_type, // $page
            'side', // $context
            'core'// $priority
        );
    }
}
function biography_icon_meta_box_callback() {

    global $post ,$page;
    wp_nonce_field( basename( __FILE__ ), 'biography_icon_meta_box_nonce' );

    $biography_customizer_saved_values = biography_get_all_options(1);
    $biography_home_service_selection_options = esc_attr( $biography_customizer_saved_values['biography-home-service-selection'] );
    $biography_home_history_selection_options = $biography_customizer_saved_values['biography-home-history-selection'];
    $biography_home_count_selection_options = $biography_customizer_saved_values['biography-home-count-selection'];

    $biography_home_service_category = absint( $biography_customizer_saved_values['biography-home-service-category'] );
    $biography_home_history_category = absint( $biography_customizer_saved_values['biography-home-history-category'] );
    $biography_home_count_category = absint( $biography_customizer_saved_values['biography-home-count-category'] );
    ?>
    <table class="form-table page-meta-box">
        <!--Icon service-->
        <?php
        if ( 'from-category' ==  $biography_home_service_selection_options &&  in_category( $biography_home_service_category, $post->ID )){
            ?>
            <tr style = "display:none;">
                <td>
                    <?php
                    $biography_home_icon = 'fa-laptop';
                    $biography_home_icon_meta = get_post_meta( $post->ID, 'biography-home-service-icon', true );
                    if( !empty ( $biography_home_icon_meta ) ){
                        $biography_home_icon = $biography_home_icon_meta;
                    }
                    ?>
                    <label class="description" for="biography-home-service-icon">
                        <?php esc_html_e('Service Icon for home page', 'biography'); ?>
                        <br />
                        <small>
                            <?php
                            printf( esc_html__( 'Use font awesome icon: Eg: %1$s. %2$sSee more here%3$s', 'biography' ), 'fa-laptop','<a href="'.esc_url('http://fontawesome.io/icons/').'" target="_blank">','</a>' );
                            ?>
                        </small>
                    </label>
                    <input id="biography-home-service-icon" type="text" name="biography-home-service-icon" value="<?php echo esc_attr( $biography_home_icon ); ?>"/>
                </td>
            </tr>
            <?php
        }
        ?>

        <!--Icon history-->
        <?php
        if ( 'from-category' ==  $biography_home_history_selection_options &&  in_category( $biography_home_history_category, $post->ID )){
            ?>
            <tr style = "display:none;">
                <td>
                    <?php
                    $biography_home_icon = 'fa-laptop';
                    $biography_home_icon_meta = get_post_meta( $post->ID, 'biography-home-history-icon', true );
                    if( !empty ( $biography_home_icon_meta ) ){
                        $biography_home_icon = $biography_home_icon_meta;
                    }
                    ?>
                    <label class="description" for="biography-home-history-icon" style = "display:none;">
                        <?php esc_html_e('History Icon for home page', 'biography'); ?>
                        <br />
                        <small>
                            <?php
                            printf( esc_html__( 'Use font awesome icon: Eg: %1$s. %2$sSee more here%3$s', 'biography' ), 'fa-laptop','<a href="'.esc_url('http://fontawesome.io/icons/').'" target="_blank">','</a>' );
                            ?>
                        </small>
                    </label>
                    <input id="biography-home-history-icon" type="text" name="biography-home-history-icon" value="<?php echo esc_attr( $biography_home_icon ); ?>"/>
                </td>
            </tr>
            <?php
        }
        ?>

        <!--Icon count-->
        <?php
        if ( 'from-category' ==  $biography_home_count_selection_options &&  in_category( $biography_home_count_category, $post->ID )){
            ?>
            <tr>
                <td>
                    <?php
                    $biography_home_icon = 'fa-laptop';
                    $biography_home_icon_meta = get_post_meta( $post->ID, 'biography-home-count-icon', true );
                    if( !empty ( $biography_home_icon_meta ) ){
                        $biography_home_icon = $biography_home_icon_meta;
                    }
                    ?>
                    <label class="description" for="biography-home-count-icon">
                        <?php esc_html_e('Counter Icon for home page', 'biography'); ?>
                        <br />
                        <small>
                            <?php
                            printf( esc_html__( 'Use font awesome icon: Eg: %1$s. %2$sSee more here%3$s', 'biography' ), 'fa-laptop','<a href="'.esc_url('http://fontawesome.io/icons/').'" target="_blank">','</a>' );
                            ?>
                        </small>
                    </label>
                    <input id="biography-home-count-icon" type="text" name="biography-home-count-icon" value="<?php echo esc_attr( $biography_home_icon ); ?>"/>
                </td>
            </tr>

            <tr>
                <td>
                    <?php
                    $biography_home_icon = '';
                    $biography_home_icon_meta = get_post_meta( $post->ID, 'biography-home-count-number', true );
                    if( !empty ( $biography_home_icon_meta ) ){
                        $biography_home_icon = $biography_home_icon_meta;
                    }
                    ?>
                    <label class="description" for="biography-home-count-number">
                        <?php esc_html_e('Counter Number', 'biography'); ?>
                        <br />
                    </label>
                    <input id="biography-home-count-number" type="text" name="biography-home-count-number" value="<?php echo esc_attr( $biography_home_icon ); ?>"/>
                </td>
            </tr>
            <?php
        }
        ?>

        <!--home duration-->
        <?php
        $biography_customizer_saved_values = biography_get_all_options(1);
        $biography_home_history_category = absint( $biography_customizer_saved_values['biography-home-history-category'] );
        
        if ( in_category( $biography_home_history_category, $post->ID )){
            ?>
            <tr style = "display:none;">
                <td>
                    <?php
                    $biography_home_duration = '';
                    $biography_home_duration_meta = get_post_meta( $post->ID, 'biography-home-history-duration', true );
                    if( !empty ( $biography_home_duration_meta ) ){
                        $biography_home_duration = $biography_home_duration_meta;
                    }
                    ?>
                    <label class="description" for="biography-home-history-duration">
                        <?php esc_html_e('History Duration', 'biography'); ?>
                        <br />
                    </label>
                    <input id="biography-home-history-duration" type="text" name="biography-home-history-duration" value="<?php echo esc_attr( $biography_home_duration ); ?>"/>
                </td>
            </tr>
            <?php
        }
        ?>
    </table>

<?php }

/**
 * save the custom metabox data
 * @hooked to save_post hook
 */
function biography_save_sidebar_icon( $post_id ) {

    global $post;
    // Verify the nonce before proceeding.
    if ( !isset( $_POST[ 'biography_icon_meta_box_nonce' ] ) || !wp_verify_nonce( sanitize_key( $_POST[ 'biography_icon_meta_box_nonce' ] ), basename( __FILE__ ) ) ) {
        return;
    }

    // Stop WP from clearing custom fields on autosave
    if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
        return;
    }

    if ( !current_user_can( 'edit_page', $post_id ) ) {
        return $post_id;
    }
    /*biography-home-service-icon*/
    if(isset( $_POST['biography-home-service-icon']) ){
        update_post_meta($post_id, 'biography-home-service-icon', sanitize_text_field( wp_unslash( $_POST['biography-home-service-icon'] ) ) );
    }

    /*biography-home-history-icon*/
    if(isset( $_POST['biography-home-history-icon']) ){
        update_post_meta($post_id, 'biography-home-history-icon', sanitize_text_field( wp_unslash( $_POST['biography-home-history-icon'] ) ) );
    }

    /*biography-home-count-icon*/
    if(isset( $_POST['biography-home-count-icon']) ){
        update_post_meta($post_id, 'biography-home-count-icon', sanitize_text_field( wp_unslash( $_POST['biography-home-count-icon']) ) );
    }
    /*biography-home-count-number*/
    if(isset( $_POST['biography-home-count-number']) ){
        update_post_meta($post_id, 'biography-home-count-number', sanitize_text_field( wp_unslash( $_POST['biography-home-count-number']) ) );
    }

    /*biography-home-history-duration*/
    if(isset( $_POST['biography-home-history-duration']) ){
        update_post_meta($post_id, 'biography-home-history-duration', sanitize_text_field( wp_unslash( $_POST['biography-home-history-duration']) ) );
    }
}
add_action('save_post', 'biography_save_sidebar_icon');
